Mark a message as unread
curl --request POST \
--url https://api.hyperspell.com/actions/mark_unread \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message_id": "<string>",
"provider": "gmail_actions",
"connection": "<string>"
}
'import requests
url = "https://api.hyperspell.com/actions/mark_unread"
payload = {
"message_id": "<string>",
"provider": "gmail_actions",
"connection": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message_id: '<string>', provider: 'gmail_actions', connection: '<string>'})
};
fetch('https://api.hyperspell.com/actions/mark_unread', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>",
"provider_response": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Actions
Mark a message as unread
Mark a Gmail message as unread by adding the UNREAD label.
POST
/
actions
/
mark_unread
Mark a message as unread
Authorizations
APIKeyAsUser
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Body
application/json
Mark a Gmail message as unread.
Gmail message ID
Integration provider
Available options:
reddit, notion, slack, google_calendar, google_mail, box, dropbox, github, google_drive, vault, web_crawler, trace, microsoft_teams, gmail_actions, granola, fathom, fireflies, linear, hubspot, salesforce, coda, lightfield, gong, pylon, clickup Connection ID. If omitted, auto-resolved from provider + user.
Was this page helpful?
⌘I